Create a FieldAsk AIpost https://api.rocketlane.com/api/1.0/fieldsQuery ParamsincludeFieldsarray of stringsThis query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.includeFieldsADD stringincludeAllFieldsbooleanThis query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.truetruefalseBody ParamsfieldLabelstringrequiredThe fieldLabel is the name of the field.fieldDescriptionstringThe description of the field.fieldTypestringenumrequiredThis defines type of the field. Refer Custom Fields for further informationTEXTMULTI_LINE_TEXTYES_OR_NODATESINGLE_CHOICEMULTIPLE_CHOICESINGLE_USERMULTIPLE_USERNUMBERNOTERATINGShow 11 enum valuesobjectTypestringenumrequiredThis defines type of object that is associated with the field. This could be TASK, PROJECT or USER.PROJECTTASKUSERAllowed:PROJECTTASKUSERfieldOptionsarray of objectsThe fieldOptions params define the value and label for the different options available for SINGLE_CHOICE and MULTIPLE_CHOICE fields.fieldOptionsADD objectratingScalestringenumThe number of stars in the Rating Scale when Field Type is RATING.THREETHREEFIVESEVENTENAllowed:THREEFIVESEVENTENenabledbooleanDefaults to trueThis depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account.truefalseprivatebooleanThis depicts if the field is private or not.falsetruefalseResponses 201The resource was successfully created in the database. 400This error typically happens when the request payload contains an error. If you want to make sure that the request's parameters are named correctly and are the right data types, you can examine the request's syntax. 401You see this error when trying to access this resource without being authenticated. Check the API request header to make sure it is not empty and has a valid api-key that you acquired from the Rocketlane API Settings tab.Updated 8 months ago